@Echo off
echo off
Echo ͸
Echo         Spitfire Call-Back (SFCB) 1.2 Installation        
Echo ;
Rem *** Make sure path is valid ***
If (%1)==() Goto NoPath
if not exist sfcb12.zip goto noorig
echo  Preparing installation tools 
Pkunzip sfcb12 -o tools.zip > nul
Pkunzip tools.zip -o > nul
if exist tools.zip del tools.zip
Rem *** Checking for PKUNZIP program ***
inpath PKUNZIP.EXE
if errorlevel==1 Goto NoPkunzip
echo  Checking Disk and RAM requirements 
CheckMem DISK 360
If ErrorLevel==1 Goto NoMemDisk
CheckMem MEM 254
If ErrorLevel==1 Goto NoMem
if exist checkmem.exe del checkmem.exe
echo  Memory OK 
IsDir %1
If ErrorLevel==1 Goto MakeDir
:Continue
Rem *** Extract SFCB program and support files, update only if necessary. ***
PkUnzip SFCB12.ZIP -o SFCB.ZIP > nul
If ErrorLevel==1 Goto ZipError
If Exist %1\SFCB.EXE Goto Update
Echo  First Time Installation 
Pkunzip SFCB.ZIP *.* %1
If ErrorLevel==1 Goto ZipError
Goto Config
:Update
Echo  Updating Previous Installation 
Pkunzip SFCB.ZIP UPDATE.12 > Nul
Pkunzip SFCB.ZIP -o @UPDATE.12 %1
If ErrorLevel==1 Goto ZipError
Pkunzip SFCB.ZIP *.BBS *.CLR *.TRM *.DAT *.BAT %1
If ErrorLevel==12 Goto ZipError
If ErrorLevel==11 Goto Config
If ErrorLevel==1 Goto ZipError
Rem *** Install done, call config program ***
:Config
rem Pkunzip SFCB12.ZIP -o R*.1st %1 > nul
if exist sfcb.zip     Del SFCB.ZIP
if exist inpath.exe   del inpath.exe
if exist isdir.exe    del isdir.exe
if exist yesno.exe    del yesno.exe
if exist update.12    del update.12
ChDrive %1
if exist SFCB.CFG copy SFCB.CFG SFCB.CF1
SFCBINST -C
Goto Done
Rem *** Error procedures ***
:NoPath
Rem *** Must run the program with a valid path. ***
Echo  Please run INSTALL with the directory to install in.
Echo  e.g.  INSTALL C:\SF\SFCB
Echo 
Goto Done
:MakeDir
Rem *** Attempt to create the path. ***
YesNo Do you wish to create directory [%1]?
if Not Errorlevel==1 Goto Done
Echo Creating [%1]
Mkdir %1
IsDir %1
If ErrorLevel==1 Goto DirError
if exist isdir.exe del isdir.exe
if exist yesno.exe del yesno.exe
Goto Continue
:NoOrig
Echo 
Echo Please run INSTALL from the directory containing SFCB12.ZIP
Echo 
Goto Done
:DirError
Echo 
Echo                 Could not create [%1]!
Echo      Please create necessary subdirectorys manually.
Echo 
Goto Done
:NoMemDisk
Echo 
Echo       There is not enough free disk space for install
Echo 
Goto Done
:NoMem
Echo 
Echo      There is not enough free RAM memory to run install
Echo 
Goto Done
:ZipError
Echo 
Echo             An error occured during extraction.
Echo                (Corrupted File, Disk Error?)
Echo 
Goto Done
:NoPkunzip
Echo 
Echo   PkUnzip does not exist in the current PATH.  Please copy
Echo    PkUnzip.EXE to the directory containing SFCB12.ZIP to
Echo                  continue with Install
Echo 
:Done
if exist inpath.exe   del inpath.exe
if exist isdir.exe    del isdir.exe
if exist yesno.exe    del yesno.exe
if exist ChDrive.exe  del chdrive.exe
if exist checkmem.exe del checkmem.exe
if exist update.12    del update.12
